:root {
    --font: "Poppins";
    --font-second: "Montserrat";
    --color-primary: #92806C;
    --color-normal: #6D6D6D;
    --color-sidebar: white;
    --color-link: #0500b4;
}

body {
    background: #F5F5F5;
    margin:0;
    padding: 0;
}
ul, li,
p,
h1, h2, h3, h4, h5, h6 {
    margin: 0;
    padding: 0;
}
a {
    margin: 0;
    padding: 0;
    text-decoration: none;
}
button {
    outline: none;
    border: none;
}

.full {
    width: 100%;
    min-height: 100vh;
    box-sizing: border-box;
}
.grid {
    display: grid;
}
.grid-1x2 {
    grid-template-columns: 225px auto;
}
.grid.center {
    place-items: center;
}
.flex {
    display: -webkit-flex;
    column-gap: 10px;
    row-gap: 10px;
}
.flex.center {
    align-items: center;
}
.flex.space-out {
    justify-content: space-between;
}

.box {
    background: white;
    padding: 15px 25px;
}
.box.small {
    width: 340px;
    box-sizing: border-box;
}
.box.medium {
    width: 450px;
    box-sizing: border-box;
}
.box.full {
    width: 100%;
    box-sizing: border-box;
}
.box.shadow {
    box-shadow: 0px 1px 5px rgba(0,0,0,.1);
}
.box.space {
    margin: 20px 0
}
.box.smooth-corner {
    border-radius: 6px;
}
.box.better-space {
    padding: 25px;
}

/* Image */
.img img {
    width: 100%;
    box-sizing: border-box;
}
.img.square {
    width: 300px;
    height: 300px;
    overflow: hidden;
}
.img.square img {
    height: 100%;
    object-fit: cover;
    object-position: center;
}

/* Button */
button {
    background: var(--color-primary);
    color: white;
    padding: 8px 12px;
    width: 100%;
    box-sizing: border-box;
    font-size: 15px;
    font-family: var(--font);
    text-transform: uppercase;
    text-align: center;
    margin: 15px auto;
    cursor: pointer;
    border-radius: 6px;
}
button.small {
    max-width: 150px;
}
button.medium {
    max-width: 225px;
}
button.large {
    max-width: 300px;
}
button > i {
    font-size: 15px;
}
button.process {
    pointer-events: none !important;
}
button.center {
    display: block;
}
button.right {
    float: right;
}

/* Icon Button */
div.icon-button {
    width: 40px;
    height: 40px;
    box-sizing: border-box;
    display: grid;
    place-items: center;
    font-size: 15px;
    color: white;
    background: var(--color-primary);
    border-radius: 3px;
    cursor: pointer;
    flex-shrink: 0;
}
div.icon-button.bottom {
    margin-top: auto;
    margin-bottom: 10px;
}

/* Table */
table {
    width: 100%;
    box-sizing: border-box;
    border-collapse: collapse;
    background: white;
    font-family: var(--font);
}
table.small {
    max-width:320px;
}
table th {
    box-sizing: border-box;
    padding: 14px 12px;
    border-bottom: 1px solid rgba(0,0,0,.1);
    background: rgba(188,188,188,.2);
    font-size: 13px;
    text-align: left;
}
table td {
    box-sizing: border-box;
    padding: 14px 12px;
    border-bottom: 1px solid rgba(0,0,0,.1);
    background: white;
    font-size: 14px;
}
table tr:last-child {
    border: 0px;
}
table td.short-link > a {
    text-decoration: underline;
}
table td.title {
    width: 170px;
    box-sizing: border-box;
}
table td.bold {
    font-weight: bold;
}
table td.name {
    text-align: left;
}
table td .img {
    width: 40px;
    height: 40px;
    box-sizing: border-box;
    overflow: hidden;
    border-radius: 50%;
}
table td .img img {
    width: auto;
    height: 100%;
}
table td .name p {
    font-size: 15px;
    font-family: "Poppins";
}
table td .name span {
    font-size: 11px;
    font-family: "Poppins";
    color: rgba(0,0,0,.5);
}
table td.action {
    flex-wrap: wrap;
}
table td div.action button {
    font-size: 11px;
    margin: 0;
}
table td div.icon {
    font-size: 13px;
    margin: 0;
    border: 1px solid -webkit-link;
    width: 25px;
    height: 25px;
    box-sizing: border-box;
    display: grid;
    place-items: center;
    border-radius: 3px;
    margin: 0 auto;
}

/* Modal */
div.modal {
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(188,188,188,.3);
    display: none;
    place-items: center;
    z-index: 9999;
}
div.modal.active {
    display: grid !important;
}
div.modal h6 {
    font-size: 14px;
    font-family: "Poppins";
    border-bottom: 1px solid var(--color-primary);
    padding-bottom: 8px;
}
div.modal .box .title > label {
    font-size: 15px;
    font-weight: bold;
    font-family: var(--font);
}
div.modal .box .title > .border-line {
    margin-top: 3px;
}
div.modal .box button {
    margin: 0 auto;
    font-size: 12px;
    display: block;
}
div.modal .box > .icon {
    font-size: 72px;
    text-align: center;
    color: #A00000;
}
div.modal .box p {
    font-size: 15px;
    font-family: "Poppins";
    padding: 6px 11px;
    width: 300px;
    box-sizing: border-box;
    text-align: center;
}

/* Table Product */
.table.product > tbody .product-list {
    align-items: center;
    column-gap: 10px;
}
.table.product > tbody .product-list > .img {
    width: 40px;
    height: 40px;
    flex-shrink: 0;
    box-sizing: border-box;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 50%;
    overflow: hidden;
}
.table.product > tbody .product-list > .info > h3 {
    font-size: 14px;
    font-weight: 400;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

/* Menu List */
.cate-list {
    width: 100%;
    box-sizing: border-box;
    overflow-y: scroll;
    height: calc(100vh - 150px);
}
.cate-list::-webkit-scrollbar {
	width:3px;
}
.cate-list::-webkit-scrollbar-track {
	background:rgb(200,200,200);
}
.cate-list::-webkit-scrollbar-thumb {
	background:rgb(144,144,144);
}
.cate-list .item {
    width: 100%;
    box-sizing: border-box;
    padding: 6px 10px;
    cursor: pointer;
    font-size: 13px;
    font-family: "Poppins";
}
.cate-list .item:hover {
    background: rgba(0,0,0,.1);
}
.cate-list .item.active {
    background: rgba(0,0,0,.15);
}

/* Product List */
.pro-list {
    display: -webkit-flex;
    column-gap: 12px;
    row-gap: 12px;
    padding: 0 10px;
    width: 100%;
    box-sizing: border-box;
    flex-wrap: wrap;
    margin-top: 49px;
}
.pro-list .item {
    width: 100%;
    box-sizing: border-box;
    max-width: 200px;
    background: rgba(255,255,255,.5);
}
.pro-list .item > .img {
    cursor: pointer;
}
.pro-list .item > .details {
    padding: 12px 12px 0;
}
.pro-list .item > .details .title {
    font-size: 14px;
    font-weight: bold;
    font-family: "Poppins";
    color: black;
    height: 43px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.pro-list .item > .details .desc {
    font-size: 11px;
    font-family: "Poppins";
    color: rgba(0,0,0,.25);
    height: 17px;
}
.pro-list .item > .details .price {
    font-size: 12px;
    font-family: "Poppins";
    color: black;
}
.pro-list .item > .input-box {
    padding: 0px 12px;
}
.pro-list .item > .input-box select {
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #E2E2E2;
    border-radius: 3px;
    padding: 4px 6px;
    color: black;
    background: white;
    font-size: 11px;
    font-family: var(--font);
    cursor: pointer;
}
.pro-list .item > button {
    font-size: 11px;
    margin-top: 12px;
    margin-bottom: 0px;
}

/* Cart List */
.cart-list {
    width: 100%;
    box-sizing: border-box;
    padding: 8px 0;
}
.cart-list .item {
    display: -webkit-flex;
    width: 100%;
    flex-wrap: nowrap;
    box-sizing: border-box;
    padding-bottom: 8px;
    margin-bottom: 8px;
    border-bottom: 1px solid rgba(0,0,0,.1);
    column-gap: 10px;
}
.cart-list .item > .remove {
    width: 30px;
    flex-shrink: 0;
    box-sizing: border-box;
    font-size: 15px;
    display: grid;
    place-items: center;
}
.cart-list .item > .remove i {
    cursor: pointer;
    color: #A00000;
}
.cart-list .item > .img {
    width: 50px;
    height: 50px;
    box-sizing: border-box;
    flex-shrink: 0;
    border: 1px solid rgba(0,0,0,.1);
    border-radius: 50%;
    overflow: hidden;
}
.cart-list .item > .details {
    width: 100%;
    box-sizing: border-box;
    display: -webkit-flex;
    flex-direction: column;
    justify-content: space-between;
}
.cart-list .item > .details .title {
    font-size: 13px;
    font-family: "Poppins";
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    margin-bottom: 0;
    line-height: 1.1;
    overflow: hidden;
}
.cart-list .item > .details span {
    font-size: 11px;
    font-family: "Poppins";
    color: rgba(0,0,0,.5);
}
.cart-list .item > .stock {
    width: 50px;
    box-sizing: border-box;
    flex-shrink: 0;
    display: grid;
    place-items: center;
}
.cart-list .item > .price {
    width: 80px;
    box-sizing: border-box;
    font-size: 12px;
    font-family: "Poppins";
    flex-shrink: 0;
    display: grid;
    place-items: center right;
}
.summary {
    width: 100%;
    box-sizing: border-box;
}
.summary .info {
    width: 100%;
    box-sizing: border-box;
    border-bottom: 1px solid rgba(0,0,0,.1);
    padding: 8px 0;
    min-height: 55px;
}
.summary .info label {
    font-size: 11px;
    color: rgba(0,0,0,.5);
    font-family: "Poppins";
    margin-bottom: 4px;
}
.summary .info p {
    font-size: 12px;
    color: black;
    font-family: "Poppins";
}
.checkout {
    width: 100%;
    box-sizing: border-box;
    margin-bottom: 12px;
}
.checkout .total {
    display: -webkit-flex;
    align-items: center;
    justify-content: flex-end;
}
.checkout .total > h5 {
    width: 100%;
    box-sizing: border-box;
    text-align: right;
    font-size: 13px;
    font-family: "Poppins";
}
.checkout .total > div {
    width: 80px;
    box-sizing: border-box;
    text-align: right;
    flex-shrink: 0;
    font-size: 12px;
    font-family: "Poppins";
}